jQuery(document).ready(function($){

    $(document).on('click', '#catering-services-welcome-notice .notice-dismiss', function(){

        $.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                action: 'catering_services_dismiss_notice'
            }
        });

    });

});